<?php

declare(strict_types=1);

namespace App\Policies;

use App\Models\MediaMonitoring;
use Illuminate\Auth\Access\HandlesAuthorization;
use Illuminate\Foundation\Auth\User as AuthUser;

class MediaMonitoringPolicy
{
    use HandlesAuthorization;

    public function viewAny(AuthUser $authUser): bool
    {
        return $authUser->can('ViewAny:MediaMonitoring');
    }

    public function view(AuthUser $authUser, MediaMonitoring $mediaMonitoring): bool
    {
        return $authUser->can('View:MediaMonitoring');
    }

    public function create(AuthUser $authUser): bool
    {
        return $authUser->can('Create:MediaMonitoring');
    }

    public function update(AuthUser $authUser, MediaMonitoring $mediaMonitoring): bool
    {
        return $authUser->can('Update:MediaMonitoring');
    }

    public function delete(AuthUser $authUser, MediaMonitoring $mediaMonitoring): bool
    {
        return $authUser->can('Delete:MediaMonitoring');
    }

    public function restore(AuthUser $authUser, MediaMonitoring $mediaMonitoring): bool
    {
        return $authUser->can('Restore:MediaMonitoring');
    }

    public function forceDelete(AuthUser $authUser, MediaMonitoring $mediaMonitoring): bool
    {
        return $authUser->can('ForceDelete:MediaMonitoring');
    }

    public function forceDeleteAny(AuthUser $authUser): bool
    {
        return $authUser->can('ForceDeleteAny:MediaMonitoring');
    }

    public function restoreAny(AuthUser $authUser): bool
    {
        return $authUser->can('RestoreAny:MediaMonitoring');
    }

    public function replicate(AuthUser $authUser, MediaMonitoring $mediaMonitoring): bool
    {
        return $authUser->can('Replicate:MediaMonitoring');
    }

    public function reorder(AuthUser $authUser): bool
    {
        return $authUser->can('Reorder:MediaMonitoring');
    }
}
